Bug 250643 - yum info crashes with some packages
yum info crashes with some packages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 13:08 EDT by Gustavo Picoloto
Modified: 2014-01-21 17:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 12:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gustavo Picoloto 2007-08-02 13:08:22 EDT
Description of problem:
Yum crashes when I run yum info with some packages and LANG is pt_BR.UTF-8.

Version-Release number of selected component (if applicable): yum-3.2.1-1.fc7

How reproducible:
Depends on package you are running yum info.


Steps to Reproduce:
1. Set LANG=pt_BR.UTF-8
2. Run "yum info openoffice.org-langpack-pt_BR"
3.
  
Actual results:
Yum crashes with this message:
# yum info openoffice.org-langpack-pt_BR
Installed Packages
Name   : openoffice.org-langpack-pt_BR
Arch   : i386
Epoch  : 1
Version: 2.2.0
Release: 14.11
Size   : 30 M
Repo   : installed
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 94, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 266, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 164, in doCommand
    base.listPkgs(ypl.installed, 'Installed Packages', basecmd)
  File "/usr/share/yum-cli/output.py", line 102, in listPkgs
    self.infoOutput(pkg)
  File "/usr/share/yum-cli/output.py", line 72, in infoOutput
    print _("Summary: %s") % pkg.summary.encode("UTF-8")
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 24: ordinal
not in range(128)


Expected results:
yum displaying the correct package info.

Additional info:
The problem doesn't occurs if I run "env LANG=C yum info
openoffice.org-langpack-pt_BR"

Also, I've tried running yum info with several other packages and the problem
only occurs in some packages, like bash, cpuspeed, acl and chkconfig.
Comment 1 Seth Vidal 2007-08-02 14:44:26 EDT
this is fixed in yum 3.2.2 or above. 3.2.2 is in updates testing for f7 -  it
may or may not be be released to updates-released.

if you'd like to try it out do:
yum --enablerepo=udpates-testing update yum

Comment 2 Gustavo Picoloto 2007-08-02 15:30:44 EDT
I've updated yum (now running yum-3.2.2-1.fc7) and it worked ok.

Thanks.



(In reply to comment #1)
> this is fixed in yum 3.2.2 or above. 3.2.2 is in updates testing for f7 -  it
> may or may not be be released to updates-released.
> 
> if you'd like to try it out do:
> yum --enablerepo=udpates-testing update yum



Note You need to log in before you can comment on or make changes to this bug.